Gentoo Archives: gentoo-java

From: Alistair Bush <ali_bush@g.o>
To: gentoo-java@l.g.o
Cc: Matt Whitlock <matt@××××××××.name>
Subject: [gentoo-java] OSGI manifests and existing packages
Date: Wed, 09 Dec 2009 10:52:01
Message-Id: 200912092351.41228.ali_bush@gentoo.org
Hi guys

Please be aware that the work Matt has been doing on eclipse-sdk:3.5 means 
that we no longer have to modify (for 3.5 at least) eclipses dependencies to 
include osgi headers in the manifest.

What happens in eclipse-sdk:3.5 is..

Matt Whitlock wrote:
> My ebuild does use system-installed packages. It does this by unpacking > the metadata from the bundled JARs and modifying their classpaths so they > point to symlinks to the system-installed JARs. Look in the > subdirectories of /usr/lib64/eclipse-3.5/plugins. As an example, the > first one, ICU4J, has the following files: > > META-INF/MANIFEST.MF > icu4j-charsets.jar -> /usr/share/icu4j-4/lib/icu4j-charsets.jar > icu4j.jar -> /usr/share/icu4j-4/lib/icu4j.jar > plugin.properties > > And the META-INF/MANIFEST.MF has this line in it (among others): > > Bundle-ClassPath: icu4j-charsets.jar,icu4j.jar > > These few metadata files replace the big "com.ibm.icu_4.0.1.v20090822.jar" > blob that comes bundled with Eclipse. >
We should continue maintaining these headers until 3.5 is stabilised, once this happens they can be removed. I plan on moving eclipse-sdk:3.5 into the tree this week. There are some things that I would like to be done. (see [1]) but I believe that this ebuild is far better than the current one so i'm prepared to compromise. As an example we currently build against bundled jars and then replace them with system jars. If anyone has any objections then please speak up. Thanks Alistair. ps. Currently I'm singing Matt's praises from the rafters, please join me. [1] https://bugs.gentoo.org/show_bug.cgi?id=296296

Replies

Subject Author
Re: [gentoo-java] OSGI manifests and existing packages "Jean-Noël Rivasseau" <elvanor@g.o>